Index: main/waeup.aaue/trunk/CHANGES.txt
===================================================================
--- main/waeup.aaue/trunk/CHANGES.txt	(revision 11623)
+++ main/waeup.aaue/trunk/CHANGES.txt	(revision 11624)
@@ -4,4 +4,6 @@
 1.2dev (unreleased)
 ===================
+
+* Configure new and returning school fee in session configuration objects.
 
 * Do not create activation code when paying acceptance (= clearance)
Index: main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 11623)
+++ main/waeup.aaue/trunk/src/waeup/aaue/etranzact/tests.py	(revision 11624)
@@ -51,5 +51,5 @@
         # Managers can add online payment tickets
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
-        self.app['configuration']['2004'].school_fee = 1234.0
+        self.app['configuration']['2004'].school_fee_1 = 1234.0
         self.browser.open(self.payments_path)
         IWorkflowState(self.student).setState('cleared')
Index: main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 11623)
+++ main/waeup.aaue/trunk/src/waeup/aaue/interfaces.py	(revision 11624)
@@ -35,11 +35,23 @@
     #    title = _(u'School Fee Instalments'),
     #    default = 0.0,
-    #    required = False,
+    #    required = True,
     #    )
 
-    school_fee = schema.Float(
-        title = _(u'School Fee (not FP)'),
+    #school_fee = schema.Float(
+    #    title = _(u'School Fee (not FP)'),
+    #    default = 0.0,
+    #    required = True,
+    #    )
+
+    school_fee_1 = schema.Float(
+        title = _(u'Initial School Fee (not FP)'),
         default = 0.0,
-        required = False,
+        required = True,
+        )
+
+    school_fee_2 = schema.Float(
+        title = _(u'Returning School Fee (not FP)'),
+        default = 0.0,
+        required = True,
         )
 
@@ -47,5 +59,5 @@
         title = _(u'Application Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -53,5 +65,5 @@
         title = _(u'Acceptance Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -59,5 +71,5 @@
         title = _(u'Booking Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -65,5 +77,5 @@
         title = _(u'Transcript Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -73,5 +85,5 @@
         title = _(u'Maintenance Fee (ignored)'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -79,5 +91,5 @@
         title = _(u'Gown Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -85,5 +97,5 @@
         title = _(u'Transfer Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -91,5 +103,5 @@
         title = _(u'UG Penalty Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -97,5 +109,5 @@
         title = _(u'PG Penalty Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
@@ -103,5 +115,5 @@
         title = _(u'Late Registration Fee'),
         default = 0.0,
-        required = False,
+        required = True,
         )
 
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 11623)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_browser.py	(revision 11624)
@@ -134,5 +134,5 @@
         self.assertMatches('...Amount could not be determined...',
                            self.browser.contents)
-        self.app['configuration']['2004'].school_fee = 6666.0
+        self.app['configuration']['2004'].school_fee_1 = 6666.0
         self.browser.getControl(name="form.p_category").value = ['schoolfee']
         # Accepotance fee must be paid first
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py	(revision 11623)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/tests/test_utils.py	(revision 11624)
@@ -43,5 +43,5 @@
         self.app['configuration']['2004'].maint_fee = 180.0
         self.app['configuration']['2004'].clearance_fee = 1234.0
-        self.app['configuration']['2004'].school_fee = 6666.0
+        self.app['configuration']['2004'].school_fee_1 = 6666.0
         utils = getUtility(IStudentsUtils)
 
@@ -49,5 +49,5 @@
         configuration.academic_session = 2005
         self.app['configuration'].addSessionConfiguration(configuration)
-        self.app['configuration']['2005'].school_fee = 7777.0
+        self.app['configuration']['2005'].school_fee_2 = 7777.0
 
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 11623)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 11624)
@@ -164,5 +164,5 @@
                     amount = 84000.0
                 else:
-                    amount = academic_session.school_fee
+                    amount = academic_session.school_fee_1
             elif student.state == RETURNING or\
                 (student.is_postgrad and student.state == PAID):
@@ -181,5 +181,5 @@
                 except KeyError:
                     return _(u'Session configuration object is not available.'), None
-                amount = academic_session.school_fee
+                amount = academic_session.school_fee_2
             else:
                 return _('Wrong state.'), None