Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/batching.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/batching.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/batching.py	(revision 11687)
@@ -24,5 +24,5 @@
 students, studycourses, payment tickets and accommodation tickets.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudent, ICustomStudentUpdateByRegNo,
     ICustomStudentUpdateByMatricNo,
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/browser.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/browser.py	(revision 11687)
@@ -32,16 +32,7 @@
 from waeup.kofa.students.interfaces import IStudentsUtils, ICourseTicket
 from waeup.kofa.students.workflow import FORBIDDEN_POSTGRAD_TRANS
-from kofacustom.nigeria.students.browser import (
-    NigeriaOnlinePaymentDisplayFormPage,
-    NigeriaStudentBaseManageFormPage,
-    NigeriaStudentClearanceEditFormPage,
-    NigeriaOnlinePaymentAddFormPage,
-    NigeriaExportPDFPaymentSlipPage,
-    NigeriaExportPDFClearanceSlipPage,
-    )
-
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentOnlinePayment, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel)
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/export.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py	(revision 11687)
@@ -18,5 +18,5 @@
 """Exporters for student related stuff.
 """
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudent,
     ICustomStudentStudyCourse,
@@ -24,13 +24,13 @@
     ICustomCourseTicket,
     ICustomStudentOnlinePayment)
-from kofacustom.nigeria.students.export import (
-    NigeriaStudentsExporter,
-    NigeriaStudentStudyCourseExporter,
-    NigeriaStudentStudyLevelExporter,
-    NigeriaCourseTicketExporter,
-    NigeriaStudentPaymentsExporter)
+from waeup.kofa.students.export import (
+    StudentsExporter,
+    StudentStudyCourseExporter,
+    StudentStudyLevelExporter,
+    CourseTicketExporter,
+    StudentPaymentsExporter)
 from waeup.kofa.utils.helpers import iface_names
 
-class CustomStudentsExporter(NigeriaStudentsExporter):
+class CustomStudentsExporter(StudentsExporter):
     """Exporter for Students.
     """
@@ -41,5 +41,5 @@
         'current_level', 'current_session')
 
-class CustomStudentStudyCourseExporter(NigeriaStudentStudyCourseExporter):
+class CustomStudentStudyCourseExporter(StudentStudyCourseExporter):
     """Exporter for StudentStudyCourses.
     """
@@ -48,5 +48,5 @@
         sorted(iface_names(ICustomStudentStudyCourse))) + ('student_id',)
 
-class CustomStudentStudyLevelExporter(NigeriaStudentStudyLevelExporter):
+class CustomStudentStudyLevelExporter(StudentStudyLevelExporter):
     """Exporter for StudentStudyLevels.
     """
@@ -56,5 +56,5 @@
         'student_id', 'number_of_tickets','certcode')
 
-class CustomCourseTicketExporter(NigeriaCourseTicketExporter):
+class CustomCourseTicketExporter(CourseTicketExporter):
     """Exporter for CourseTickets.
     """
@@ -64,5 +64,5 @@
         'certcode', 'display_fullname')
 
-class CustomStudentPaymentsExporter(NigeriaStudentPaymentsExporter):
+class CustomStudentPaymentsExporter(StudentPaymentsExporter):
     """Exporter for OnlinePayment instances.
     """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/interfaces.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/interfaces.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/interfaces.py	(revision 11687)
@@ -18,29 +18,29 @@
 
 from zope import schema
-from kofacustom.nigeria.students.interfaces import (
-    INigeriaStudentBase, INigeriaUGStudentClearance, INigeriaPGStudentClearance,
-    INigeriaStudentPersonal, INigeriaStudentStudyLevel,
-    INigeriaStudentStudyCourse, INigeriaCourseTicket,
-    INigeriaStudentUpdateByRegNo, INigeriaStudentUpdateByMatricNo,
+from waeup.kofa.students.interfaces import (
+    IStudentBase, IUGStudentClearance, IPGStudentClearance,
+    IStudentPersonal, IStudentStudyLevel,
+    IStudentStudyCourse, ICourseTicket,
+    IStudentUpdateByRegNo, IStudentUpdateByMatricNo,
     )
-from kofacustom.skeleton.payments.interfaces import ICustomOnlinePayment
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from kofacustom.sampleuni.payments.interfaces import ICustomOnlinePayment
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-class ICustomStudentBase(INigeriaStudentBase):
+class ICustomStudentBase(IStudentBase):
     """Representation of student base data.
 
     """
 
-class ICustomStudentPersonal(INigeriaStudentPersonal):
+class ICustomStudentPersonal(IStudentPersonal):
     """Student personal data.
 
     """
 
-class ICustomUGStudentClearance(INigeriaUGStudentClearance):
+class ICustomUGStudentClearance(IUGStudentClearance):
     """Representation of ug student clearance data.
 
     """
 
-class ICustomPGStudentClearance(INigeriaPGStudentClearance):
+class ICustomPGStudentClearance(IPGStudentClearance):
     """Representation of pg student clearance data.
 
@@ -54,10 +54,10 @@
     """
 
-class ICustomStudentStudyCourse(INigeriaStudentStudyCourse):
+class ICustomStudentStudyCourse(IStudentStudyCourse):
     """A container for student study levels.
 
     """
 
-class ICustomStudentStudyLevel(INigeriaStudentStudyLevel):
+class ICustomStudentStudyLevel(IStudentStudyLevel):
     """A container for course tickets.
 
@@ -85,15 +85,15 @@
     'p_session'].order
 
-class ICustomCourseTicket(INigeriaCourseTicket):
+class ICustomCourseTicket(ICourseTicket):
     """A course ticket.
 
     """
 
-class ICustomStudentUpdateByRegNo(INigeriaStudentUpdateByRegNo):
+class ICustomStudentUpdateByRegNo(IStudentUpdateByRegNo):
     """Representation of a student. Skip regular reg_number validation.
 
     """
 
-class ICustomStudentUpdateByMatricNo(INigeriaStudentUpdateByMatricNo):
+class ICustomStudentUpdateByMatricNo(IStudentUpdateByMatricNo):
     """Representation of a student. Skip regular matric_number validation.
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/payments.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/payments.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/payments.py	(revision 11687)
@@ -26,5 +26,5 @@
     StudentOnlinePayment, StudentOnlinePaymentFactory)
 from waeup.kofa.utils.helpers import attrs_to_fields
-from kofacustom.skeleton.students.interfaces import ICustomStudentOnlinePayment
+from kofacustom.sampleuni.students.interfaces import ICustomStudentOnlinePayment
 
 class CustomStudentOnlinePayment(StudentOnlinePayment):
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/student.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/student.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/student.py	(revision 11687)
@@ -25,9 +25,9 @@
 from waeup.kofa.students.interfaces import IStudentNavigation
 from waeup.kofa.utils.helpers import get_current_principal
-from kofacustom.nigeria.students.student import NigeriaStudent
-from kofacustom.skeleton.students.interfaces import ICustomStudent
+from waeup.kofa.students.student import Student
+from kofacustom.sampleuni.students.interfaces import ICustomStudent
 
 
-class CustomStudent(NigeriaStudent):
+class CustomStudent(Student):
     """This is a student container for the various objects
     owned by students.
@@ -39,5 +39,5 @@
     def transcript_enabled(self):
         user = get_current_principal()
-        if user.id in ('admin', 'isouaba', 'niyi', 'delejason'):
+        if user.id in ('admin'):
             return True
         return False
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studycourse.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/studycourse.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studycourse.py	(revision 11687)
@@ -26,8 +26,8 @@
 from waeup.kofa.students.interfaces import IStudentNavigation
 from waeup.kofa.students.workflow import CLEARED, RETURNING, PAID
-from kofacustom.nigeria.students.studycourse import NigeriaStudentStudyCourse
-from kofacustom.skeleton.students.interfaces import ICustomStudentStudyCourse
+from waeup.kofa.students.studycourse import StudentStudyCourse
+from kofacustom.sampleuni.students.interfaces import ICustomStudentStudyCourse
 
-class CustomStudentStudyCourse(NigeriaStudentStudyCourse):
+class CustomStudentStudyCourse(StudentStudyCourse):
     """This is a container for study levels.
     """
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studylevel.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/studylevel.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/studylevel.py	(revision 11687)
@@ -28,5 +28,5 @@
     CourseTicketFactory, StudentStudyLevelFactory)
 from waeup.kofa.students.interfaces import IStudentNavigation
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentStudyLevel, ICustomCourseTicket)
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_browser.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/tests/test_browser.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_browser.py	(revision 11687)
@@ -34,4 +34,4 @@
     IExtFileStore, IFileStoreNameChooser)
 from waeup.kofa.students.interfaces import IStudentsUtils
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/tests/test_export.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 11687)
@@ -5,8 +5,8 @@
 from waeup.kofa.schoolgrades import ResultEntry
 from waeup.kofa.students.tests.test_batching import StudentImportExportSetup
-from kofacustom.skeleton.utils.utils import CustomKofaUtils
-from kofacustom.skeleton.students.export import (
+from kofacustom.sampleuni.utils.utils import CustomKofaUtils
+from kofacustom.sampleuni.students.export import (
     CustomStudentsExporter, CustomStudentPaymentsExporter)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 
@@ -46,26 +46,14 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(
-            'adm_code,alr_date,alr_fname,alr_no,alr_results,clearance_locked,'
-            'clr_code,date_of_birth,def_adm,disabled,email,emp2_end,'
-            'emp2_position,emp2_reason,emp2_start,emp_end,emp_position,'
-            'emp_reason,emp_start,employer,employer2,firstname,former_matric,'
-            'fst_sit_date,fst_sit_fname,fst_sit_no,fst_sit_results,'
-            'fst_sit_type,hq2_degree,hq2_disc,hq2_matric_no,hq2_school,'
-            'hq2_session,hq2_type,hq_degree,hq_disc,hq_fname,hq_matric_no,'
-            'hq_school,hq_session,hq_type,is_staff,lastname,lga,'
-            'marit_stat,matric_number,middlename,nationality,'
-            'next_kin_address,next_kin_name,next_kin_phone,next_kin_relation,'
-            'nysc_lga,nysc_location,nysc_year,officer_comment,'
-            'perm_address,personal_updated,phone,reg_number,'
-            'religion,scd_sit_date,scd_sit_fname,scd_sit_no,'
-            'scd_sit_results,scd_sit_type,sex,student_id,'
-            'suspended,suspended_comment,password,state,history,certcode,is_postgrad,'
-            'current_level,current_session\r\nmy adm code,,,,'
-            '"[(\'visual_art\', \'A1\')]",0,my clr code,1981-02-04#,,,'
-            'anna@sample.com,,,,,,,,,,,Anna,,,,,"[(\'visual_art\', \'A1\')]"'
-            ',,,,,,,,,,,,,,,,Tester,,,234,M.,NG,,,,,,,,,'
-            '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,123,,,,,'
-            '"[(\'visual_art\', \'A1\')]",,f,A111111,0,,,created,'
-            '[u\'2012-11-06 13:16:41 WAT - Record created by system\'],'
+            'adm_code,clearance_locked,clr_code,date_of_birth,email,'
+            'employer,firstname,lastname,matric_number,middlename,'
+            'nationality,officer_comment,perm_address,personal_updated,'
+            'phone,reg_number,sex,student_id,suspended,suspended_comment,'
+            'password,state,history,certcode,is_postgrad,current_level,'
+            'current_session\r\nmy adm code,0,my clr code,1981-02-04#,'
+            'anna@sample.com,,Anna,Tester,234,M.,NG,,'
+            '"Studentroad 21\nLagos 123456\n",,+234-123-12345#,123,'
+            'f,A111111,0,,,created,'
+            '[u\'2014-06-16 08:23:55 UTC - Record created by system\'],'
             'CERT1,0,200,2012\r\n',
             result
@@ -99,12 +87,10 @@
         result = open(self.outfile, 'rb').read()
         self.assertMatches(
-            'ac,amount_auth,creation_date,gateway_amt,p_category,p_current,'
-            'p_id,p_item,p_level,p_session,p_state,payment_date,provider_amt,'
-            'r_amount_approved,r_card_num,r_code,r_company,r_desc,'
-            'r_pay_reference,thirdparty_amt,student_id,state,'
-            'current_session\r\n'
-            '666,12.12,2012-04-01 13:12:01,,schoolfee,1,my-id,p-item,'
-            '100,2012,paid,2012-04-01 14:12:01,,12.12,'
-            '789,r-code,interswatch,,,,A111111,created,2012\r\n',
+            'ac,amount_auth,creation_date,p_category,p_current,p_id,'
+            'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
+            'r_code,r_desc,student_id,state,current_session\r\n666,'
+            '12.12,2012-04-01 13:12:01,schoolfee,1,my-id,p-item,'
+            '100,2012,paid,2012-04-01 14:12:01,12.12,r-code,,'
+            'A111111,created,2012\r\n',
             result
             )
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_student.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/tests/test_student.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_student.py	(revision 11687)
@@ -22,15 +22,15 @@
 from zope.interface import verify
 from waeup.kofa.testing import FunctionalTestCase
-from kofacustom.skeleton.students.student import CustomStudent, CustomStudentFactory
-from kofacustom.skeleton.students.studycourse import (
+from kofacustom.sampleuni.students.student import CustomStudent, CustomStudentFactory
+from kofacustom.sampleuni.students.studycourse import (
     CustomStudentStudyCourse, CustomStudentStudyCourseFactory)
-from kofacustom.skeleton.students.studylevel import (
+from kofacustom.sampleuni.students.studylevel import (
     CustomStudentStudyLevel, CustomCourseTicket,
     CustomStudentStudyLevelFactory,
     CustomCourseTicketFactory)
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudent, ICustomStudentStudyCourse,
     ICustomStudentStudyLevel, ICustomCourseTicket)
-from kofacustom.skeleton.testing import FunctionalLayer
+from kofacustom.sampleuni.testing import FunctionalLayer
 
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/utils.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/utils.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/utils.py	(revision 11687)
@@ -20,8 +20,8 @@
 from waeup.kofa.interfaces import (IKofaUtils,
     CLEARED, RETURNING, PAID, REGISTERED, VALIDATED)
-from kofacustom.nigeria.students.utils import NigeriaStudentsUtils
-from kofacustom.skeleton.interfaces import MessageFactory as _
+from waeup.kofa.students.utils import StudentsUtils
+from kofacustom.sampleuni.interfaces import MessageFactory as _
 
-class CustomStudentsUtils(NigeriaStudentsUtils):
+class CustomStudentsUtils(StudentsUtils):
     """A collection of customized methods.
 
Index: main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py
===================================================================
--- main/kofacustom.sampleuni/trunk/src/kofacustom/skeleton/students/viewlets.py	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 11687)
@@ -20,5 +20,5 @@
 from waeup.kofa.interfaces import REQUESTED
 from waeup.kofa.browser.viewlets import ManageActionButton
-from kofacustom.skeleton.students.interfaces import (
+from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
 from waeup.kofa.students.viewlets import (
@@ -28,3 +28,3 @@
     StudyLevelDisplayFormPage)
 
-from kofacustom.nigeria.interfaces import MessageFactory as _
+from waeup.kofa.interfaces import MessageFactory as _