Index: main/kofacustom.sampleuni/trunk/etc/themed/debug.ini.in
===================================================================
--- main/kofacustom.sampleuni/trunk/etc/themed/debug.ini.in	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/etc/themed/debug.ini.in	(revision 11706)
@@ -86,17 +86,12 @@
 document_root = %(LAYOUT_DIR)s/static
 
-[app:static_custom]
-use = egg:Paste#static
-document_root = %(LAYOUT_CUSTOM_DIR)s/static/
-
 [composite:main]
 use = egg:Paste#urlmap
 /static = static
-/static_custom = static_custom
 / = default
 
 [filter:theme]
 use = egg:diazo
-rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+rules = file:///%(LAYOUT_DIR)s/rules.xml
 prefix = /
 doctype = <!DOCTYPE html>
@@ -120,6 +115,4 @@
 env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
 # the directory where all real diazo config is done (no trailing slash)
-LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+LAYOUT_DIR = ${buildout:directory}/layout
 STATIC_DIR = %(LAYOUT_DIR)s/static
-LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
-STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.sampleuni/trunk/etc/themed/deploy.ini.in
===================================================================
--- main/kofacustom.sampleuni/trunk/etc/themed/deploy.ini.in	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/etc/themed/deploy.ini.in	(revision 11706)
@@ -88,12 +88,7 @@
 document_root = %(LAYOUT_DIR)s/static/
 
-[app:static_custom]
-use = egg:Paste#static
-document_root = %(LAYOUT_CUSTOM_DIR)s/static/
-
 [composite:main]
 use = egg:Paste#urlmap
 /static = static
-/static_custom = static_custom
 / = default
 
@@ -105,5 +100,5 @@
 [filter:theme]
 use = egg:diazo
-rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+rules = file:///%(LAYOUT_DIR)s/rules.xml
 prefix = /
 doctype = <!DOCTYPE html>
@@ -120,6 +115,4 @@
 env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
 # the directory where all real diazo config is done (no trailing slash)
-LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+LAYOUT_DIR = ${buildout:directory}/layout
 STATIC_DIR = %(LAYOUT_DIR)s/static
-LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
-STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.sampleuni/trunk/etc/themed/zeo1.ini.in
===================================================================
--- main/kofacustom.sampleuni/trunk/etc/themed/zeo1.ini.in	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/etc/themed/zeo1.ini.in	(revision 11706)
@@ -88,12 +88,7 @@
 document_root = %(LAYOUT_DIR)s/static/
 
-[app:static_custom]
-use = egg:Paste#static
-document_root = %(LAYOUT_CUSTOM_DIR)s/static/
-
 [composite:main]
 use = egg:Paste#urlmap
 /static = static
-/static_custom = static_custom
 / = default
 
@@ -107,5 +102,5 @@
 [filter:theme]
 use = egg:diazo
-rules = file:///%(LAYOUT_CUSTOM_DIR)s/rules.xml
+rules = file:///%(LAYOUT_DIR)s/rules.xml
 prefix = /
 doctype = <!DOCTYPE html>
@@ -121,6 +116,4 @@
 env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
 # the directory where all real diazo config is done (no trailing slash)
-LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+LAYOUT_DIR = ${buildout:directory}/layout
 STATIC_DIR = %(LAYOUT_DIR)s/static
-LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
-STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static
Index: main/kofacustom.sampleuni/trunk/etc/themed/zeo2.ini.in
===================================================================
--- main/kofacustom.sampleuni/trunk/etc/themed/zeo2.ini.in	(revision 11686)
+++ main/kofacustom.sampleuni/trunk/etc/themed/zeo2.ini.in	(revision 11706)
@@ -121,6 +121,4 @@
 env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid2.txt
 # the directory where all real diazo config is done (no trailing slash)
-LAYOUT_DIR = ${buildout:directory}/sources/waeup.kofa/layout
+LAYOUT_DIR = ${buildout:directory}/layout
 STATIC_DIR = %(LAYOUT_DIR)s/static
-LAYOUT_CUSTOM_DIR = ${buildout:directory}/layout
-STATIC_CUSTOM_DIR = %(LAYOUT_CUSTOM_DIR)s/static