Index: main/waeup.imostate/trunk/etc/debug.ini.in
===================================================================
--- main/waeup.imostate/trunk/etc/debug.ini.in	(revision 11723)
+++ 	(revision )
@@ -1,68 +1,0 @@
-# debug.ini
-#
-# Debugging configuration for use with paster/WSGI
-#
-
-[loggers]
-keys = root, wsgi
-
-[handlers]
-keys = console, accesslog
-
-[formatters]
-keys = generic, accesslog
-
-[formatter_generic]
-format = %(asctime)s %(levelname)s [%(name)s] %(message)s
-
-[formatter_accesslog]
-format = %(message)s
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[handler_accesslog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'access.log'),
-        'a')
-level = INFO
-formatter = accesslog
-
-[logger_root]
-level = INFO
-handlers = console
-
-[logger_wsgi]
-level = INFO
-handlers = accesslog
-qualname = wsgi
-propagate = 0
-
-[filter:translogger]
-use = egg:Paste#translogger
-setup_console_handler = False
-logger_name = wsgi
-
-[filter-app:main]
-# Change the last part from 'ajax' to 'pdb' for a post-mortem debugger
-# on the console:
-use = egg:z3c.evalexception#ajax
-next = zope
-
-[app:zope]
-use = egg:waeup.imostate#debug
-filter-with = translogger
-exempt-exceptions = zope.security.interfaces.IUnauthorized
-
-[server:main]
-use = egg:Paste#http
-host = ${kofa_params:host}
-port = ${kofa_params:base_port}
-
-[DEFAULT]
-# set the name of the zope.conf file
-zope_conf = %(here)s/zope.conf
-env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.imostate/trunk/etc/deploy.ini.in
===================================================================
--- main/waeup.imostate/trunk/etc/deploy.ini.in	(revision 11723)
+++ 	(revision )
@@ -1,94 +1,0 @@
-# deploy.ini
-#
-# Deployment configuration for use with paster/WSGI
-#
-
-[loggers]
-keys = root, wsgi, async, async_trace
-
-[handlers]
-keys = null, console, accesslog, asynclog, async_tracelog
-
-[formatters]
-keys = generic, accesslog
-
-[logger_root]
-level = INFO
-handlers = console
-
-[logger_wsgi]
-level = INFO
-#handlers = accesslog
-handlers = null
-qualname = wsgi
-propagate = 0
-
-[logger_async]
-level = INFO
-handlers = asynclog
-qualname = zc.async
-propagate = 0
-
-[logger_async_trace]
-level = INFO
-handlers = async_tracelog
-qualname = zc.async.trace
-propagate = 0
-
-[handler_null]
-# you can use 'NullHandler' (w/o the path) if under Python 2.7+
-class = waeup.kofa.utils.helpers.NullHandler
-args = ()
-level = NOTSET
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[handler_accesslog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'access.log'),
-        'a')
-level = INFO
-formatter = accesslog
-
-[handler_asynclog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'async.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[handler_async_tracelog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'async_trace.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[formatter_generic]
-format = %(asctime)s %(levelname)s [%(name)s] %(message)s
-
-[formatter_accesslog]
-format = %(message)s
-
-[filter:translogger]
-use = egg:Paste#translogger
-setup_console_handler = False
-logger_name = wsgi
-
-[app:main]
-use = egg:waeup.imostate
-filter-with = translogger
-
-[server:main]
-use = egg:Paste#http
-host = ${kofa_params:host}
-port = ${kofa_params:base_port}
-
-[DEFAULT]
-# set the name of the zope.conf file
-zope_conf = %(here)s/zope.conf
-env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.imostate/trunk/etc/zeo1.ini.in
===================================================================
--- main/waeup.imostate/trunk/etc/zeo1.ini.in	(revision 11723)
+++ 	(revision )
@@ -1,96 +1,0 @@
-# deploy.ini
-#
-# Deployment configuration for use with paster/WSGI
-#
-
-[loggers]
-keys = root, wsgi, async, async_trace
-
-[handlers]
-keys = null, console, accesslog, asynclog, async_tracelog
-
-[formatters]
-keys = generic, accesslog
-
-[logger_root]
-level = INFO
-handlers = console
-
-[logger_wsgi]
-level = INFO
-#handlers = accesslog
-handlers = null
-qualname = wsgi
-propagate = 0
-
-[logger_async]
-level = INFO
-handlers = asynclog
-qualname = zc.async
-propagate = 0
-
-[logger_async_trace]
-level = INFO
-handlers = async_tracelog
-qualname = zc.async.trace
-propagate = 0
-
-[handler_null]
-# you can use 'NullHandler' (w/o the path) if under Python 2.7+
-class = waeup.kofa.utils.helpers.NullHandler
-args = ()
-level = NOTSET
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[handler_accesslog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1.log'),
-        'a')
-level = INFO
-formatter = accesslog
-
-[handler_asynclog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[handler_async_tracelog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo1_async_trace.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[formatter_generic]
-format = %(asctime)s %(levelname)s [%(name)s] %(message)s
-
-[formatter_accesslog]
-format = %(message)s
-
-[filter:translogger]
-use = egg:Paste#translogger
-setup_console_handler = False
-logger_name = wsgi
-
-[app:main]
-use = egg:waeup.imostate
-filter-with = translogger
-
-[server:main]
-use = egg:Paste#http
-host = ${kofa_params:host}
-port = ${kofa_params:zeo1_port}
-threadpool_workers = ${kofa_params:threadpool_workers}
-use_threadpool = True
-
-[DEFAULT]
-# set the name of the zope.conf file
-zope_conf = %(here)s/zope_zeo1.conf
-env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid1.txt
Index: main/waeup.imostate/trunk/etc/zeo2.ini.in
===================================================================
--- main/waeup.imostate/trunk/etc/zeo2.ini.in	(revision 11723)
+++ 	(revision )
@@ -1,96 +1,0 @@
-# deploy.ini
-#
-# Deployment configuration for use with paster/WSGI
-#
-
-[loggers]
-keys = root, wsgi, async, async_trace
-
-[handlers]
-keys = null, console, accesslog, asynclog, async_tracelog
-
-[formatters]
-keys = generic, accesslog
-
-[logger_root]
-level = INFO
-handlers = console
-
-[logger_wsgi]
-level = INFO
-#handlers = accesslog
-handlers = null
-qualname = wsgi
-propagate = 0
-
-[logger_async]
-level = INFO
-handlers = asynclog
-qualname = zc.async
-propagate = 0
-
-[logger_async_trace]
-level = INFO
-handlers = async_tracelog
-qualname = zc.async.trace
-propagate = 0
-
-[handler_null]
-# you can use 'NullHandler' (w/o the path) if under Python 2.7+
-class = waeup.kofa.utils.helpers.NullHandler
-args = ()
-level = NOTSET
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[handler_accesslog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2.log'),
-        'a')
-level = INFO
-formatter = accesslog
-
-[handler_asynclog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[handler_async_tracelog]
-class = FileHandler
-args = (os.path.join(r'${zope_conf:logfiles}', 'zeo2_async_trace.log'),
-        'a')
-level = INFO
-formatter = generic
-
-[formatter_generic]
-format = %(asctime)s %(levelname)s [%(name)s] %(message)s
-
-[formatter_accesslog]
-format = %(message)s
-
-[filter:translogger]
-use = egg:Paste#translogger
-setup_console_handler = False
-logger_name = wsgi
-
-[app:main]
-use = egg:waeup.imostate
-filter-with = translogger
-
-[server:main]
-use = egg:Paste#http
-host = ${kofa_params:host}
-port = ${kofa_params:zeo2_port}
-threadpool_workers = ${kofa_params:threadpool_workers}
-use_threadpool = True
-
-[DEFAULT]
-# set the name of the zope.conf file
-zope_conf = %(here)s/zope_zeo2.conf
-env_vars = ZC_ASYNC_UUID ${buildout:directory}/var/uuid2.txt