Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 11733)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/about-us.html	(revision 11734)
@@ -8,5 +8,4 @@
   <meta charset="utf-8">
   <title>About us | NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -44,5 +43,5 @@
   if (d.getElementById(id)) return;
   js = d.createElement(s); js.id = id;
-  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  js.src = "https://connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
   fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));</script>
@@ -240,5 +239,5 @@
         <li>NgREN</li>
         <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
+        <li>Peter Okebukola Building</li>
         <li>Aguiyi Ironsi Street</li>
         <li>Maitama District</li>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 11733)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/dr-mt-johnson.html	(revision 11734)
@@ -8,5 +8,4 @@
   <meta charset="utf-8">
   <title>Dr. M.T. Johnson | NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -44,5 +43,5 @@
   if (d.getElementById(id)) return;
   js = d.createElement(s); js.id = id;
-  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  js.src = "https://connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
   fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));</script>
@@ -195,5 +194,5 @@
         <li>NgREN</li>
         <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
+        <li>Peter Okebukola Building</li>
         <li>Aguiyi Ironsi Street</li>
         <li>Maitama District</li>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 11733)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/example.html	(revision 11734)
@@ -8,5 +8,4 @@
   <meta charset="utf-8">
   <title>Example | NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -44,5 +43,5 @@
   if (d.getElementById(id)) return;
   js = d.createElement(s); js.id = id;
-  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  js.src = "https://connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
   fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));</script>
@@ -214,5 +213,5 @@
         <li>NgREN</li>
         <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
+        <li>Peter Okebukola Building</li>
         <li>Aguiyi Ironsi Street</li>
         <li>Maitama District</li>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 11733)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/full.html	(revision 11734)
@@ -8,5 +8,4 @@
   <meta charset="utf-8">
   <title>Example | NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -44,5 +43,5 @@
   if (d.getElementById(id)) return;
   js = d.createElement(s); js.id = id;
-  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  js.src = "https://connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
   fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));</script>
@@ -176,5 +175,5 @@
         <li>NgREN</li>
         <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
+        <li>Peter Okebukola Building</li>
         <li>Aguiyi Ironsi Street</li>
         <li>Maitama District</li>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 11733)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/home.html	(revision 11734)
@@ -8,5 +8,4 @@
   <meta charset="utf-8">
   <title>NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -44,5 +43,5 @@
   if (d.getElementById(id)) return;
   js = d.createElement(s); js.id = id;
-  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  js.src = "https://connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
   fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));</script>
@@ -230,37 +229,4 @@
     <h4 class="title">&raquo; Partners</h4>
     <div id="partners-tile" class="gradient-radius-module">
-      <ul>
-        <li id="fme">
-          <a target="_blank" href="http://www.fmegovng.org">
-            <img src="img/logos/fme.png" alt="Federal Ministry of Education" />
-            <span class="title">Federal Ministry of Education</span>
-          </a>
-        </li>
-        <li id="uspf">
-          <a target="_blank" href="http://www.uspf.gov.ng">
-            <img src="img/logos/uspf.png" alt="Universal Service Provision Fund" />
-            <span class="title">Universal Service Provision Fund</span>
-          </a>
-        </li>
-        <li id="tetfund">
-          <a target="_blank" href="http://www.tetfund.gov.ng">
-            <img src="img/logos/tetfund.png" alt="Tetfund" />
-            <span class="title">Tetfund</span>
-          </a>
-        </li>
-        <li id="ncc">
-          <a target="_blank" href="http://www.ncc.gov.ng">
-            <img src="img/logos/ncc.png" alt="Nigerian Communications Commission" />
-            <span class="title">Nigerian Communications Commission</span>
-          </a>
-        </li>
-        <li id="nuc">
-          <a target="_blank" href="http://www.nuc.edu.ng/">
-            <img src="img/logos/nuc.png" alt="Nigerian Communications Commission" />
-            <span class="title">National Universities Commission</span>
-          </a>
-        </li>
-      </ul>
-      <div class="clear">&nbsp;</div>
     </div>
   </div>
@@ -279,5 +245,5 @@
         <li>NgREN</li>
         <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
+        <li>Peter Okebukola Building</li>
         <li>Aguiyi Ironsi Street</li>
         <li>Maitama District</li>
Index: /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html
===================================================================
--- /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 11733)
+++ /main/ngren.theme/trunk/ngren/theme/ngren_theme/services.html	(revision 11734)
@@ -8,5 +8,4 @@
   <meta charset="utf-8">
   <title>Services | NgREN - Nigerian Research and Education Network</title>
-        <base href="/" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta name="description" content="NgREN's vision is to be a world-class research and education network in Africa, fulfilling stakeholder needs for communication and collaboration as a cornerstone for Nigeria’s economic and social transformation.">
@@ -18,7 +17,7 @@
   <link href="css/style.css" rel="stylesheet">
 
-  <link href='//fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
-
-  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
+  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>
+
+  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
   <script src="js/responsiveslides.min.js"></script>
   <script src="js/jquery.vticker-min.js"></script>
@@ -44,5 +43,5 @@
   if (d.getElementById(id)) return;
   js = d.createElement(s); js.id = id;
-  js.src = "//connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
+  js.src = "https://connect.facebook.net/es_LA/all.js#xfbml=1&appId=106017272902221";
   fjs.parentNode.insertBefore(js, fjs);
   }(document, 'script', 'facebook-jssdk'));</script>
@@ -205,5 +204,5 @@
         <li>NgREN</li>
         <li>National Universities Commission</li>
-        <li>Aja Nwachukwu House</li>
+        <li>Peter Okebukola Building</li>
         <li>Aguiyi Ironsi Street</li>
         <li>Maitama District</li>