Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv	(revision 11732)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv	(revision 11737)
@@ -2,4 +2,4 @@
 ,paid,schoolfee,3816951290797973744#,1,2010,19500,BTECHBDT,19500,0942,00,2010/11/26 19:59:33.744 GMT+1,online,1
 100001,unpaid,schoolfee,3816951290712593757,,2010,0,BTECHBDT,19500.1,0942,Z0,2010-11-25 20:16:33.757 WAT,online,0
-,paid,schoolfee,p1266236341955,3,2009,19500,BTECHBDT,19500,0615,00,2010/02/15 13:19:01,online,1
-,paid,schoolfee,ABC-11-1234567890,3,2011,19500,BTECHBDT,19500.6,,SC,2010/02/15 13:19:01,sc,1
+,paid,schoolfee,p1266236341955,3,2009,19500,BTECHBDT,19500,0615,00,2010/02/15 13:19:01#,online,1
+,paid,schoolfee,ABC-11-1234567890,3,2011,19500,BTECHBDT,19500.6,,SC,2010/02/15 13:19:01#,sc,1
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 11732)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_export.py	(revision 11737)
@@ -677,5 +677,5 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            ',0.0,2012-04-01 13:12:01,,1,,,,,unpaid,,0.0,,,,,\r\n'
+            ',0.0,2012-04-01 13:12:01#,,1,,,,,unpaid,,0.0,,,,,\r\n'
             )
         return
@@ -695,6 +695,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -714,6 +714,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -733,6 +733,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -755,6 +755,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -790,6 +790,6 @@
             'r_code,r_desc,student_id,state,current_session\r\n'
 
-            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,'
-            'p-item,100,2012,paid,2012-04-01 14:12:01,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,'
+            'p-item,100,2012,paid,2012-04-01 14:12:01#,12.12,'
             'r-code,,A111111,created,2012\r\n'
             )
@@ -842,6 +842,6 @@
             'state,current_session,entry_session,entry_mode,faccode,depcode,certcode\r\n'
 
-            '666,12.12,2012-04-01 13:12:01,schoolfee,1,my-id,p-item,100,2012,'
-            'paid,2012-04-01 14:12:01,12.12,r-code,,A111111,234,123,'
+            '666,12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,p-item,100,2012,'
+            'paid,2012-04-01 14:12:01#,12.12,r-code,,A111111,234,123,'
             'Anna,M.,Tester,created,2012,2010,ug_ft,NA,NA,CERT1\r\n'
             )
@@ -882,5 +882,5 @@
             'bed,bed_coordinates,bed_type,booking_code,booking_date,'
             'booking_session,student_id,actual_bed_type\r\n'
-            'hall-1_A_101_A,,,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>,,,regular_male_fr\r\n'
+            'hall-1_A_101_A,,,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>#,,,regular_male_fr\r\n'
             )
         return
@@ -898,5 +898,5 @@
             'bed,bed_coordinates,bed_type,booking_code,booking_date,'
             'booking_session,student_id,actual_bed_type\r\n'
-            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>,2004,'
+            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>#,2004,'
             'A111111,regular_male_fr\r\n'
             )
@@ -914,5 +914,5 @@
             'bed,bed_coordinates,bed_type,booking_code,booking_date,'
             'booking_session,student_id,actual_bed_type\r\n'
-            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>,2004,'
+            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>#,2004,'
             'A111111,regular_male_fr\r\n'
             )
@@ -930,5 +930,5 @@
             'bed,bed_coordinates,bed_type,booking_code,booking_date,'
             'booking_session,student_id,actual_bed_type\r\n'
-            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>,2004,'
+            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>#,2004,'
             'A111111,regular_male_fr\r\n'
             )
@@ -949,5 +949,5 @@
             'bed,bed_coordinates,bed_type,booking_code,booking_date,'
             'booking_session,student_id,actual_bed_type\r\n'
-            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>,'
+            'hall-1_A_101_A,,any bed type,,<YYYY-MM-DD hh:mm:ss>.<6-DIGITS>#,'
             '2004,A111111,regular_male_fr\r\n')
         return