Index: main/kofacustom.nigeria/trunk/CHANGES.txt
===================================================================
--- main/kofacustom.nigeria/trunk/CHANGES.txt	(revision 11716)
+++ main/kofacustom.nigeria/trunk/CHANGES.txt	(revision 11739)
@@ -4,4 +4,6 @@
 1.2 (unreleased)
 ================
+
+- Add 'jamb_age' field.
 
 - Check if same payment has been made before calling 'goto_interswitch'.
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 11716)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/interfaces.py	(revision 11739)
@@ -157,4 +157,8 @@
         readonly = False,
         )
+    jamb_age = schema.Int(
+        title = _(u'Age (provided by JAMB)'),
+        required = False,
+        )
     jamb_subjects = schema.Text(
         title = _(u'Subjects and Scores'),
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 11716)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/applicants/tests/test_browser.py	(revision 11739)
@@ -276,5 +276,5 @@
         self.browser.getLink("Register for application").click()
         # Fill the edit form with suitable values
-        self.browser.getControl(name="form.firstname").value = 'Klaus'
+        self.browser.getControl(name="form.lastname").value = 'Under'
         self.browser.getControl(name="form.email").value = 'xx@yy.zz'
         self.browser.getControl(name="form.reg_number").value = '1234'
@@ -366,5 +366,5 @@
             'emp_position,emp_reason,emp_start,employer,employer2,'
             'firstname,history,hq_degree,hq_disc,hq_matric_no,hq_school,'
-            'hq_session,hq_type,jamb_score,jamb_subjects,lastname,lga,'
+            'hq_session,hq_type,jamb_age,jamb_score,jamb_subjects,lastname,lga,'
             'locked,middlename,nationality,notice,nysc_lga,nysc_year,'
             'password,phone,pp_school,presently_inst,reg_number,'
@@ -375,5 +375,5 @@
             'Anna M. Tester,anna@sample.com,,,,,,,,,,,Anna,'
             '[u\'2012-10-28 21:27:52 WAT - Application initialized by system\']'
-            ',,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
+            ',,,,,,,,,,Tester,,0,M.,NG,"Some notice\nin lines.",,,'
             'any password,+234-123-12345#,,,123456,,'
             '"Saturday, 16th June 2012 2:00:00 PM",98,Exam Room,f,,initialized,,'
@@ -391,6 +391,6 @@
             'emp_reason','emp_start','employer','employer2','firstname','ignore4',
             'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
-            'nationality','notice','nysc_lga',
+            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked',
+            'middlename','nationality','notice','nysc_lga',
             'nysc_year','password','phone','pp_school','presently_inst',
             'reg_number','result_uploaded',
@@ -417,6 +417,6 @@
             'emp_reason','emp_start','employer','employer2','firstname','ignore4',
             'hq_degree','hq_disc','hq_matric_no','hq_school','hq_session','hq_type',
-            'jamb_score','jamb_subjects','lastname','lga','locked','middlename',
-            'nationality','notice','nysc_lga',
+            'jamb_age','jamb_score','jamb_subjects','lastname','lga','locked',
+            'middlename','nationality','notice','nysc_lga',
             'nysc_year','password','phone','pp_school','presently_inst',
             'reg_number','result_uploaded','screening_date','screening_score',
Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 11716)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/tests/test_export.py	(revision 11739)
@@ -105,6 +105,6 @@
             'r_pay_reference,thirdparty_amt,student_id,state,'
             'current_session\r\n'
-            '666,12.12,2012-04-01 13:12:01,,schoolfee,1,my-id,p-item,'
-            '100,2012,paid,2012-04-01 14:12:01,,12.12,'
+            '666,12.12,2012-04-01 13:12:01#,,schoolfee,1,my-id,p-item,'
+            '100,2012,paid,2012-04-01 14:12:01#,,12.12,'
             '789,r-code,interswatch,,,,A111111,created,2012\r\n',
             result